#include <stdio.h>
#include <stdlib.h>
#include <tracefs.h>

int main(int argc, char **argv)
{
	char *modules = NULL;
	char **list = NULL;
	int ret, i;

	if (argc < 2) {
		printf("usage: filter-functions regex [module]\n");
		exit(-1);
	}
	if (argc > 2)
		modules = argv[2];

	ret = tracefs_filter_functions(argv[1], modules, &list);
	if (ret < 0)
		exit(-1);
	for (i = 0; list && list[i]; i++)
		printf("%s\n", list[i]);
	tracefs_list_free(list);
	return 0;
}
